function M = mhorner(x, varargin)
%MHORNER	Evaluate a matrix polynomial using Horner rule
%
%   M = mhorner(x, Pn, ..., P0) evaluates the polynomial specified
%   by the coefficients Pn, ..., P0 in the point x. 

P = varargin;
n = length (varargin);

M = P{1};

for i = 2:n
  M = M*x + P{i};
end

end
