function [v,l] = mnewtpol(varargin)
%MNEWTPOL   Matrix version of NEWTPOL. 
%
%   [v,l] = MNEWTPOL(Pn, ..., P0) implements the matrix version of the Newton 
%   Polygon implemented in NEWTPOL. It uses the 2-norm of the coefficients 
%   specified in the input arguments and returns a vector with the tropical
%   roots and another vector with their multiplicities. 

P = varargin;

p = arrayfun(@(i) norm(full(P{i})), 1 : length(P));
[v,l] = newtpol(p);

end

% Here is a possible sketch for the Implementation of Pellet. 
% 
% Some code here is specifically thought to test out some ideas
% on orr_sommerfeld. 
% l = [];
% v = [];
% 
% for j = 1 : length(P);
%     % Build the scalar polynomial to solve
%     p = arrayfun (@(i) norm(P{j} \ P{length(P)-i+1}), 1 : length(P));
%     p(j) = -1
%     
%     [v,l] = newtpol(p)
%     
%     t = roots(p);
%     t = t(find(imag(t) == 0));
%     t = t(find(real(t) > 0))
%     
%     if (length(t) == 1)
%         v = [ v , t(1) ];
%         l = [ l, j ];
%     else if (length(t) == 2)
%             v = [ v, t.' ];
%             l = [ l, j, j ];
%         end
%     end
% 
% end
% 
% vv = v(1:2);
% s = ceil((l(2) - l(1)) / 2);
% ll = [ s, l(2) - l(1) - s ];
% 
% for i = 3 : 2 : length(v) - 1
%     vv = [ vv, mean(v(i:i+1)) ];
%     ll = [ ll , l(i+1) - l(i) ];
% end

% v = vv;
% l = ll;